﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\OATR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWAPPLYHIER')
CREATE TABLE T_OATR_REVIEWAPPLYHIER (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFYTIME DATETIME,
                                        FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                        FINDEX INT DEFAULT 0 NOT NULL,
                                        FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                        FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                        FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWAPPLYHIER_L')
CREATE TABLE T_OATR_REVIEWAPPLYHIER_L (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWTYPE')
CREATE TABLE T_OATR_REVIEWTYPE (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                   FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                   FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                   FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFYTIME DATETIME,
                                   FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                   FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                   FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWTYPE_L')
CREATE TABLE T_OATR_REVIEWTYPE_L (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                     FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_TERMREVIEWRESON')
CREATE TABLE T_OATR_TERMREVIEWRESON (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFYTIME DATETIME,
                                        FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                        FINDEX INT DEFAULT 0 NOT NULL,
                                        FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                        FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                        FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_TERMREVIEWRESON_L')
CREATE TABLE T_OATR_TERMREVIEWRESON_L (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_EVALUATIONITEM_L')
CREATE TABLE T_OATR_EVALUATIONITEM_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_EVALUATIONITEM')
CREATE TABLE T_OATR_EVALUATIONITEM (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FBOID BIGINT DEFAULT 0 NOT NULL,
                                       FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                       FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                       FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                       FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FCAPACITYITEMID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFYTIME DATETIME,
                                       FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                       FINDEX INT DEFAULT 0 NOT NULL,
                                       FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                       FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                       FDISABLEDATE DATETIME,
                                       FFIRSTBSED DATETIME,
                                       FCHANGEBSED DATETIME,
                                       FBRED DATETIME,
                                       FBRLED DATETIME,
                                       FBRFD DATETIME,
                                       FBSED DATETIME,
                                       FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_GRIDTEMPLATE_L')
CREATE TABLE T_OATR_GRIDTEMPLATE_L (
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_GRIDTEMPLATE')
CREATE TABLE T_OATR_GRIDTEMPLATE (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
                                     FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
                                     FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                     FDISABLEDATE DATETIME,
                                     FINDEX INT DEFAULT 0 NOT NULL,
                                     FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                     FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                     FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FGRIDNUM INT DEFAULT 0 NOT NULL,
                                     FGRIDCONFIG VARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FGRIDCONFIG_TAG NCLOB DEFAULT ' ',
                                     FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_KEYEVENTENTRY')
CREATE TABLE T_OATR_KEYEVENTENTRY (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FEVENTDATE DATETIME,
                                      FEVENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FEVENTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FEVENTMODIFY BIGINT DEFAULT 0 NOT NULL,
                                      FEVENTMODIFYDATE DATETIME,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWPLANS')
CREATE TABLE T_OATR_REVIEWPLANS (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FACTIVITYNUM INT DEFAULT 0 NOT NULL,
                                    FPLANSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
                                    FREVIEWYEAR DATETIME,
                                    FSTARTDATE DATETIME,
                                    FENDDATE DATETIME,
                                    FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                    FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                    FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWPLANS_L')
CREATE TABLE T_OATR_REVIEWPLANS_L (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_KEYEVENTENTRY_L')
CREATE TABLE T_OATR_KEYEVENTENTRY_L (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FEVENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FEVENTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTAPPLYHRC')
CREATE TABLE T_OATR_ACTAPPLYHRC (
                                    FPKID BIGINT DEFAULT 0 NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTTPLAPPLYHRC')
CREATE TABLE T_OATR_ACTTPLAPPLYHRC (
                                       FPKID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_INNERTOOLREVGROUP')
CREATE TABLE T_OATR_INNERTOOLREVGROUP (
                                          FPKID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_OUTERTOOLATTACH')
CREATE TABLE T_OATR_OUTERTOOLATTACH (
                                        FPKID BIGINT DEFAULT 0 NOT NULL,
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_OUTERTOOLREVGROUP')
CREATE TABLE T_OATR_OUTERTOOLREVGROUP (
                                          FPKID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_OUTTOOLEVALUATION')
CREATE TABLE T_OATR_OUTTOOLEVALUATION (
                                          FPKID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_QUESTIONNAIRE')
CREATE TABLE T_OATR_QUESTIONNAIRE (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FROLE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFYTIME DATETIME,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FINDEX INT DEFAULT 0 NOT NULL,
                                      FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                      FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_QUESTIONNAIRE_L')
CREATE TABLE T_OATR_QUESTIONNAIRE_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWACTIVITY')
CREATE TABLE T_OATR_REVIEWACTIVITY (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FPERSCOPEFILTER VARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FPERSCOPEFILTER_TAG NCLOB,
                                       FACTIVITYTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
                                       FDIMENSIONCTLSTG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPERSONSCOPECTLSTG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FTOOLSCTLSTG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
                                       FREVIEWTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FCOLLABORATORNUM INT DEFAULT 0 NOT NULL,
                                       FREVIEWPERNUM INT DEFAULT 0 NOT NULL,
                                       FSTARTDATE DATETIME,
                                       FENDDATE DATETIME,
                                       FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FREVIEWPLANLD BIGINT DEFAULT 0 NOT NULL,
                                       FCONTENTCHANGETIME DATETIME,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFYTIME DATETIME,
                                       FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                       FINDEX INT DEFAULT 0 NOT NULL,
                                       FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                       FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                       FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWACTIVITY_L')
CREATE TABLE T_OATR_REVIEWACTIVITY_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWACTIVITYTPL')
CREATE TABLE T_OATR_REVIEWACTIVITYTPL (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
                                          FORGID BIGINT DEFAULT 0 NOT NULL,
                                          FUSEORGID BIGINT DEFAULT 0 NOT NULL,
                                          FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
                                          FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FPERSONSCOPECTLSTG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FDIMENSIONCTLSTG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FTOOLSCTLSTG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPERSCOPEFILTER VARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FPERSCOPEFILTER_TAG NCLOB,
                                          FREVIEWTYPE BIGINT DEFAULT 0 NOT NULL,
                                          FACTUSEDNUM INT DEFAULT 0 NOT NULL,
                                          FCONTENTCHANGETIME DATETIME,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFYTIME DATETIME,
                                          FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                          FBITINDEX INT DEFAULT 0 NOT NULL,
                                          FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
                                          FINDEX INT DEFAULT 0 NOT NULL,
                                          FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                          FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                          FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWACTIVITYTPL_L')
CREATE TABLE T_OATR_REVIEWACTIVITYTPL_L (
                                            FID BIGINT DEFAULT 0 NOT NULL,
                                            FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                            FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                            FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                            FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                            FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWDIMENSION')
CREATE TABLE T_OATR_REVIEWDIMENSION (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFYTIME DATETIME,
                                        FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                        FINDEX INT DEFAULT 0 NOT NULL,
                                        FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                        FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                        FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWDIMENSION_L')
CREATE TABLE T_OATR_REVIEWDIMENSION_L (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWGROUP')
CREATE TABLE T_OATR_REVIEWGROUP (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                    FSORTNUM INT DEFAULT 0 NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                    FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                    FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWGROUP_L')
CREATE TABLE T_OATR_REVIEWGROUP_L (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_TPLTOOLATTACH')
CREATE TABLE T_OATR_TPLTOOLATTACH (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_TPLTOOLEVALUATION')
CREATE TABLE T_OATR_TPLTOOLEVALUATION (
                                          FPKID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTMAPPERCARDDIM')
CREATE TABLE T_OATR_ACTMAPPERCARDDIM (
                                         FPKID BIGINT DEFAULT 0 NOT NULL,
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_TPLMAPPERCARDDIM')
CREATE TABLE T_OATR_TPLMAPPERCARDDIM (
                                         FPKID BIGINT DEFAULT 0 NOT NULL,
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOUTTOOL')
CREATE TABLE T_OATR_REVIEWOUTTOOL (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOUTTOOL_L')
CREATE TABLE T_OATR_REVIEWOUTTOOL_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_TPLTALMAPENTRY')
CREATE TABLE T_OATR_TPLTALMAPENTRY (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL,
                                       FREFERSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FISDEFAULTMAPLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FISDEFAULTMAP CHAR(1) DEFAULT '0' NOT NULL,
                                       FGRIDTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
                                       FISGRIDTEMPLATELOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FXAXISDIMID BIGINT DEFAULT 0 NOT NULL,
                                       FISXAXISDIMLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FYAXISDIMID BIGINT DEFAULT 0 NOT NULL,
                                       FISYAXISDIMLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FISPERCARDDIMLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FTALENTMAPCONFIG VARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FTALENTMAPCONFIG_TAG NCLOB DEFAULT ' ',
                                       FGRIDTPLSELECTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTTALMAPENTRY')
CREATE TABLE T_OATR_ACTTALMAPENTRY (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL,
                                       FREFERSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FISDEFAULTMAP CHAR(1) DEFAULT '0' NOT NULL,
                                       FISDEFAULTMAPLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FGRIDTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
                                       FISGRIDTEMPLATELOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FXAXISDIMID BIGINT DEFAULT 0 NOT NULL,
                                       FISXAXISDIMLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FYAXISDIMID BIGINT DEFAULT 0 NOT NULL,
                                       FISYAXISDIMLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FISPERCARDDIMLOCK CHAR(1) DEFAULT '0' NOT NULL,
                                       FTALENTMAPCONFIG VARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FTALENTMAPCONFIG_TAG NCLOB DEFAULT ' ',
                                       FENTRYSOURCEID BIGINT DEFAULT 0 NOT NULL,
                                       FGRIDTPLSELECTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_BUSINESSDATALIST')
CREATE TABLE T_OATR_BUSINESSDATALIST (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FUSERID BIGINT DEFAULT 0 NOT NULL,
                                         FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_COLLABORATOR')
CREATE TABLE T_OATR_COLLABORATOR (
                                     FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                     FSEQ INT DEFAULT 0 NOT NULL,
                                     FCOLLABORATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCOLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                     FJOBID BIGINT DEFAULT 0 NOT NULL,
                                     FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTDIMESIONENTRY')
CREATE TABLE T_OATR_ACTDIMESIONENTRY (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FSEQ INT DEFAULT 0 NOT NULL,
                                         FREVIEWDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
                                         FSELECTSTATUS CHAR(1) DEFAULT '0' NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTITPTOOL_IN')
CREATE TABLE T_OATR_ACTITPTOOL_IN (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FINNERTOOLTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FQUESTIONNAIREID BIGINT DEFAULT 0 NOT NULL,
                                      FINNERTOOLSELECT VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTITPTOOL_OUT')
CREATE TABLE T_OATR_ACTITPTOOL_OUT (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL,
                                       FEVALUATIONITEM_NUM INT DEFAULT 0 NOT NULL,
                                       FOUTTOOLSELECT VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FOUTERTOOLID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_DIMESIONENTRY')
CREATE TABLE T_OATR_DIMESIONENTRY (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FREVIEWDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
                                      FSELECTSTATUS CHAR(1) DEFAULT '0' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWTOOL')
CREATE TABLE T_OATR_REVIEWTOOL (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                   FTOOLSCTLSTG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME,
                                   FISFROMTPL VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWTOOL_INNER')
CREATE TABLE T_OATR_REVIEWTOOL_INNER (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FSEQ INT DEFAULT 0 NOT NULL,
                                         FQUESTIONNAIREID BIGINT DEFAULT 0 NOT NULL,
                                         FINNERTOOLSELECT VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FINNERTOOLTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FINNERMODIFYTIME DATETIME,
                                         FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWTOOL_OUTER')
CREATE TABLE T_OATR_REVIEWTOOL_OUTER (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FSEQ INT DEFAULT 0 NOT NULL,
                                         FEVALUATIONITEMNUM INT DEFAULT 0 NOT NULL,
                                         FOUTTOOLSELECT VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FOUTERTOOLID BIGINT DEFAULT 0 NOT NULL,
                                         FOUTERMODIFYTIME DATETIME,
                                         FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVACTADMORGTREE')
CREATE TABLE T_OATR_REVACTADMORGTREE (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                         FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                         FADMINORGFID BIGINT DEFAULT 0 NOT NULL,
                                         FADMINORNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FADMINORGBOID BIGINT DEFAULT 0 NOT NULL,
                                         FADMINSTRUCTFID BIGINT DEFAULT 0 NOT NULL,
                                         FADMSTRUCTLONGNUM NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                         FISHAVEREVIEWOBJEC CHAR(1) DEFAULT '0' NOT NULL,
                                         FREVIEWOBJECTSUM INT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFYTIME DATETIME,
                                         FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                         FINDEX INT DEFAULT 0 NOT NULL,
                                         FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                         FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                         FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVACTADMORGTREE_L')
CREATE TABLE T_OATR_REVACTADMORGTREE_L (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                           FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                           FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                           FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJDIM')
CREATE TABLE T_OATR_REVIEWOBJDIM (
                                     FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                     FSEQ INT DEFAULT 0 NOT NULL,
                                     FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
                                     FDIMENSIONVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJECT_L')
CREATE TABLE T_OATR_REVIEWOBJECT_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FTERMREVIEWRSNDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJERRMSG')
CREATE TABLE T_OATR_REVIEWOBJERRMSG (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FSEQ INT DEFAULT 0 NOT NULL,
                                        FERRORMSGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FERRORMSGCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJEVAL')
CREATE TABLE T_OATR_REVIEWOBJEVAL (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FEVALTOOLID BIGINT DEFAULT 0 NOT NULL,
                                      FEVALUATIONITEMID BIGINT DEFAULT 0 NOT NULL,
                                      FEVALVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJSUPERIOR')
CREATE TABLE T_OATR_REVIEWOBJSUPERIOR (
                                          FPKID BIGINT DEFAULT 0 NOT NULL,
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_EMPLOYEEEVAL')
CREATE TABLE T_OATR_EMPLOYEEEVAL (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                     FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                     FAUDITDATE DATETIME,
                                     FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FEVENTEFFECTDATE DATETIME,
                                     FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                     FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLEONE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLETWO VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLETHREE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLEFOUR NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLEFIVE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLESIX NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLESEVEN NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLEEIGHT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLETHREEOTHER NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                     FREVIEWOBJECTID BIGINT DEFAULT 0 NOT NULL,
                                     FEVALUATORID BIGINT DEFAULT 0 NOT NULL,
                                     FEVALSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FQUESTIONID BIGINT DEFAULT 0 NOT NULL,
                                     FTERMINATEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FMESSAGEID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_EMPLOYEEEVAL_L')
CREATE TABLE T_OATR_EMPLOYEEEVAL_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FTITLEFOUR NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLEFIVE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLESIX NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLESEVEN NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLEEIGHT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLETHREEOTHER NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FTERMINATEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_SUPERIOREVAL')
CREATE TABLE T_OATR_SUPERIOREVAL (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                     FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                     FAUDITDATE DATETIME,
                                     FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FEVENTEFFECTDATE DATETIME,
                                     FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                     FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLEONE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLETWO VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLEFIVE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLETHREE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FTITLEFOUR VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FREVIEWOBJECTID BIGINT DEFAULT 0 NOT NULL,
                                     FTITLESIX NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLESEVEN NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLEEIGHT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLENINE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FTITLEFIVEOTHER NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FEVALSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                     FEVALUATORID BIGINT DEFAULT 0 NOT NULL,
                                     FQUESTIONID BIGINT DEFAULT 0 NOT NULL,
                                     FTERMINATEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FMESSAGEID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_SUPERIOREVAL_L')
CREATE TABLE T_OATR_SUPERIOREVAL_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FTITLESIX NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLESEVEN NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLEEIGHT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLENINE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FTITLEFIVEOTHER NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FTERMINATEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJECT')
CREATE TABLE T_OATR_REVIEWOBJECT (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                     FTALENTFILEID BIGINT DEFAULT 0 NOT NULL,
                                     FUSERID BIGINT DEFAULT 0 NOT NULL,
                                     FREVIEWSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                     FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                     FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FJOBID BIGINT DEFAULT 0 NOT NULL,
                                     FREVIEWGROUPID BIGINT DEFAULT 0 NOT NULL,
                                     FTERMREVIEWRESONID BIGINT DEFAULT 0 NOT NULL,
                                     FTERMREVIEWRSNDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFYTIME DATETIME,
                                     FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                     FINDEX INT DEFAULT 0 NOT NULL,
                                     FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                     FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                     FDISABLEDATE DATETIME,
                                     FPERSONBOID BIGINT DEFAULT 0 NOT NULL,
                                     FPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJMAP')
CREATE TABLE T_OATR_REVIEWOBJMAP (
                                     FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                     FSEQ INT DEFAULT 0 NOT NULL,
                                     FMAPKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FMAPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FMAPVALUE VARCHAR(120) DEFAULT ' ' NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJMAPBEF')
CREATE TABLE T_OATR_REVIEWOBJMAPBEF (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FSEQ INT DEFAULT 0 NOT NULL,
                                        FMAPBEFOREVALUE VARCHAR(120) DEFAULT ' ' NOT NULL,
                                        FMAPBEFOREKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FMAPBEFORENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_CALIBRATEORGERS')
CREATE TABLE T_OATR_CALIBRATEORGERS (
                                        FPKID BIGINT DEFAULT 0 NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_CALIBRATESESSION')
CREATE TABLE T_OATR_CALIBRATESESSION (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FSTARTDATE DATETIME,
                                         FENDDATE DATETIME,
                                         FTALENTMAP VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FCALIBRATEREASON VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FCALIBRATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FCALIBRATEPERSONNUM INT DEFAULT 0 NOT NULL,
                                         FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                         FXAXISDIMID BIGINT DEFAULT 0 NOT NULL,
                                         FYAXISDIMID BIGINT DEFAULT 0 NOT NULL,
                                         FTALENTMAPCONFIG VARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FTALENTMAPCONFIG_TAG NCLOB,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFYTIME DATETIME,
                                         FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                         FINDEX INT DEFAULT 0 NOT NULL,
                                         FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                         FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                         FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_CALIBRATESESSION_L')
CREATE TABLE T_OATR_CALIBRATESESSION_L (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                           FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                           FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                           FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_CALSESPERCARDDIM')
CREATE TABLE T_OATR_CALSESPERCARDDIM (
                                         FPKID BIGINT DEFAULT 0 NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ONLINECALIBRATION')
CREATE TABLE T_OATR_ONLINECALIBRATION (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FREVIEWACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                          FCALIBRATESESSIONID BIGINT DEFAULT 0 NOT NULL,
                                          FREVIEWOBJECTID BIGINT DEFAULT 0 NOT NULL,
                                          FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                          FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                          FCALIBRATEREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FCALIBRATERESULT VARCHAR(120) DEFAULT ' ' NOT NULL,
                                          FCALIBRATEBEFORE VARCHAR(120) DEFAULT ' ' NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWSCOPE')
CREATE TABLE T_OATR_REVIEWSCOPE (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FMETADATANAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FTABLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FTABLENAMECN VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FFIELDMETADATANAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FFIELDNAMECN VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                    FBASEFIELDFILTERCONF VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FBASEFIELDEXT VARCHAR(500) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);
/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\OATR_table.sql **/
